echo off
echo "---------------------KeyWild CAD Library Europe Map-------------------------"
echo "                 Number of script files for this series:           14"
echo "               Total number of segments for this series:        3,659"
echo "         Total number of 'Coast' points for this series:      338,058"
echo "       Total number of 'Boundry' points for this series:       48,447"
echo "         Total number of 'River' points for this series:      196,266"
echo "                 Total number of points for this series:      582,771"
echo "----------------------------------------------------------------------------"
rem Designate your working directoy here. The scripts folder should be be under it.
set WorkDir=%HOMEPATH%\Documents\My Drawings\KW_WorldMap

rem Designate the CAD Program Path in here
rem set CadProg=C:\Program Files\Bricsys\BricsCAD V13 en_US\bricscad.exe
rem set CadProg=C:\Program Files\Dassault Systemes\DraftSight\bin\DraftSight.exe
rem set CadProg=C:\Program Files (x86)\ITC\IntelliCAD 7.2 Professional\icad.exe
set CadProg=C:\Program Files\Corel\CorelCAD 2013\BIN\CorelCAD.exe
rem Set CadProg=C:\Program Files (x86)\ProgeCAD\progeCAD 2013 Professional ENG\icad.exe
C:
cd "%WorkDir%"

copy "%WorkDir%\scripts-large\ablank.dwg"  "%WorkDir%\Europe_map.dwg"
Time /T > Europe_map_times.txt
Time /T
timer.exe >> Europe_map_times.txt

rem comment out the lines for the detail level that you do not want
rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo "europe-boundaries(01).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-boundaries(01).scr"
echo "europe-boundaries(03).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-boundaries(03).scr"
echo "europe-coasts(01).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-coasts(01).scr"
echo "europe-coasts(02).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-coasts(02).scr"
echo "europe-coasts(03).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-coasts(03).scr"
echo "europe-coasts(04).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-coasts(04).scr"
echo "europe-coasts(15).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-coasts(15).scr"
echo "europe-rivers(01).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-rivers(01).scr"
echo "europe-rivers(02).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-rivers(02).scr"
echo "europe-rivers(03).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-rivers(03).scr"
echo "europe-rivers(04).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-rivers(04).scr"
echo "europe-rivers(05).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-rivers(05).scr"
echo "europe-rivers(10).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-rivers(10).scr"
echo "europe-rivers(11).scr"
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-large\europe-rivers(11).scr"

Time /T >> Europe_map_times.txt
timer.exe /s /n /nologo >> Europe_map_times.txt
rem Timer 2.2 - Copyright (C) 2005-2011 by Greg Wittmeyer - All Rights Reserved
rem http://www.gammadyne.com

rem --- end of file ---